function x = datas1
%************************ Phosphorus Data ********************************** 
%
%Source:      Snedecor, G. W. and Cochran, W. G. (1967),"Statistical Methods",
%             (6 Edition), Iowa State University, Ames, Iowa, p. 384.
%
%Taken From:  Chatterjee and Hadi (1988), p. 82.
%
%Dimension:   18 observations on 3 variables
%
%Description: An investigation of the source from which corn plants obtain
%             their phosphorus was carried out. Concentrations of phosphorus
%             in parts per millions in each of 18 soils were measured.
%
%Column       Description
%  1      Concentrations of inorganic phosphorus in the soil
%  2      Concentrations of organic phosphorus in the soil
%  3      Phosphorus content of corn grown in the soil at 20 degrees C
x = [
   0.4   53     64
   0.4   23     60
   3.1   19     71
   0.6   34     61
   4.7   24     54
   1.7   65     77
   9.4   44     81
  10.1   31     93
  11.6   29     93
  12.6   58     51
  10.9   37     76
  23.1   46     96
  23.1   50     77
  21.6   44     93
  23.1   56     95
   1.9   36     54
  26.8   58    168
  29.9   51     99
];